renameWorksheet {openxlsx} | R Documentation

## Rename a worksheet

### Description

Rename a worksheet

### Usage

    renameWorksheet(wb, sheet, newName)

### Arguments

`wb` | A Workbook object containing a worksheet
`sheet` | The name or index of the worksheet to rename
`newName` | The new name of the worksheet. No longer than 31 chars.

### Details

DEPRECATED. Use `names`

### Author(s)

Alexander Walker

### Examples

    ## Create a new workbook
    wb <- createWorkbook("CREATOR")

    ## Add 3 worksheets
    addWorksheet(wb, "Worksheet Name")
    addWorksheet(wb, "This is worksheet 2")
    addWorksheet(wb, "Not the best name")

    #' ## rename all worksheets
    names(wb) <- c("A", "B", "C")

    ## Rename worksheet 1 & 3
    renameWorksheet(wb, 1, "New name for sheet 1")
    names(wb)[[1]] <- "New name for sheet 1"
    names(wb)[[3]] <-  "A better name"

    ## Save workbook
    saveWorkbook(wb, "renameWorksheetExample.xlsx", overwrite = TRUE)

[Package openxlsx version 4.1.0 Index]